f



CodeWarrior 8.3/9 on Mac OS X 10.4 Tiger

I was just curious if anyone has tried CodeWarrior Pro, either
versions 8.3 or 9, on the Mac OS X 10.4 Tiger pre-release distributed
at this year's WWDC?  I know 8.3 is no longer supported by Metrowerks
as of Panther (although we have it working okay), so I can't imagine
that they will update 8.3 if there is a problem.  Also, CWPro 10 will
likely be out before Tiger is released, so this may all be a moot
point, but I thought I'd get the information now just for planning
purposes.

Thanks,

Jonathan Hoyle
0
jonhoyle
8/5/2004 9:31:53 PM
comp.mac.codewarrior 2568 articles. 0 followers. ja7789 (3) is leader. Post Follow

6 Replies
833 Views

Similar Articles

[PageSpeed] 33

In article <bc8cf544.0408051331.7f5cd12b@posting.google.com>,
 jonhoyle@mac.com (Jonathan Hoyle) wrote:

> I was just curious if anyone has tried CodeWarrior Pro, either
> versions 8.3 or 9, on the Mac OS X 10.4 Tiger pre-release distributed
> at this year's WWDC?

I'm sure lots of people have, but they are all under NDA re Tiger, so I 
doubt they can answer.

>Also, CWPro 10 will likely be out before Tiger is released, 

Maybe not.  MWRon posted that CW 10 won't be out till late 2005 IIRC.
0
Sean
8/6/2004 2:27:55 AM
In article <bc8cf544.0408051331.7f5cd12b@posting.google.com>,
 jonhoyle@mac.com (Jonathan Hoyle) wrote:

> I was just curious if anyone has tried CodeWarrior Pro, either
> versions 8.3 or 9, on the Mac OS X 10.4 Tiger pre-release distributed
> at this year's WWDC?  

I have. I couldn't get anything to build -- CW was reporting unfathomable 
errors, and I was told it was a problem with Tiger that was affecting other 
apps, and that I shouldn't waste my time on it. So I am not.

meeroh

-- 
If this message helped you, consider buying an item
from my wish list: <http://web.meeroh.org/wishlist>

0
Miro
8/6/2004 4:20:37 AM
In article <bc8cf544.0408051331.7f5cd12b@posting.google.com>,
 jonhoyle@mac.com (Jonathan Hoyle) wrote:

>I was just curious if anyone has tried CodeWarrior Pro, either
>versions 8.3 or 9, on the Mac OS X 10.4 Tiger pre-release distributed
>at this year's WWDC?  I know 8.3 is no longer supported by Metrowerks
>as of Panther (although we have it working okay), so I can't imagine
>that they will update 8.3 if there is a problem.  Also, CWPro 10 will
>likely be out before Tiger is released, so this may all be a moot
>point, but I thought I'd get the information now just for planning
>purposes.

CW 10 won't be out until at least the 3rd quarter of 2005.  (Some stuff 
depends on us, some depends on how fast Apple puts out a new OS Version)

We will definitely not patch CW 9 for any Beta OS  (especially something 
not scheduled for about a year (according to Apple's press releases) 
trying to do this in the past just been bad and caused us to always play 
catch up.

Ron

-- 
Metrowerks Community Forum is a free online resource for developers 
to discuss CodeWarrior topics with other users and Metrowerks' staff
        --   http://www.metrowerks.com/community  --

 Ron Liechty - MWRon@metrowerks.com - http://www.metrowerks.com
0
MW
8/6/2004 4:57:04 PM
In article <mwron-79AA23.12570406082004@news.newsguy.com>,
 MW Ron <mwron@metrowerks.com> wrote:

> CW 10 won't be out until at least the 3rd quarter of 2005.  (Some stuff 
> depends on us, some depends on how fast Apple puts out a new OS Version)

So 2004 marks the first year in a long time that you guys are not doing 
a major release for the Mac?

-- 
Brad Oliver
bradman@pobox.com.AM_SPAY
0
Brad
8/6/2004 6:52:24 PM
In article <bradman-3F3A55.11522406082004@news.west.cox.net>,
 Brad Oliver <bradman@pobox.com.AM_SPAY> wrote:

>In article <mwron-79AA23.12570406082004@news.newsguy.com>,
> MW Ron <mwron@metrowerks.com> wrote:
>
>> CW 10 won't be out until at least the 3rd quarter of 2005.  (Some stuff 
>> depends on us, some depends on how fast Apple puts out a new OS Version)
>
>So 2004 marks the first year in a long time that you guys are not doing 
>a major release for the Mac?

Right,  This year we re-evaluated all of our product lines,  the good 
news is that Mac products were considered essential products and we are 
moving forward on them.  I hope to have a roadmap in a week or two that 
outlines our great ideas for the future.

Ron

-- 
Metrowerks Community Forum is a free online resource for developers 
to discuss CodeWarrior topics with other users and Metrowerks' staff
        --   http://www.metrowerks.com/community  --

 Ron Liechty - MWRon@metrowerks.com - http://www.metrowerks.com
0
MW
8/6/2004 7:13:44 PM
In article <mwron-79AA23.12570406082004@news.newsguy.com>,
 MW Ron <mwron@metrowerks.com> wrote:

> We will definitely not patch CW 9 for any Beta OS  (especially something 
> not scheduled for about a year (according to Apple's press releases) 
> trying to do this in the past just been bad and caused us to always play 
> catch up.

Makes sense.  But I hope this does not mean you (MW) are not testing CW 
with Tiger, certainly some of the conflicts will be Apple's bugs, and 
the faster Apple knows about them the better.  Similarly, I hope there 
is someone at Apple testing CW with their new stuff too.

IMNSHO It is very important that CW be able to work with new OSes and 
dev tools as fast as possible.

Thanks.
0
Sean
8/6/2004 8:30:59 PM
Reply:

Similar Artilces:

Are Mac OS X 10.5.8's iLife programs safe to use in Mac OS X 10.7.x and 10.8.x?
Hi. Someone told me that Mac OS X 10.7.x and 10.8.x do not come with iLife like the older Mac OS X versions (e.g., 10.5.x). I did not know this! Since my client uses iPhoto that came preinstalled on his old 2008 MacBook Pro's Mac OS X 10.5.x (10.5.8 right now), can he use the old one from 10.5.8? Or will he need a third party replacement (needs to import/copy the old image files) or buy a new iPhoto version for his photo(graph)s? I recalled he did not like iPhoto and wonder if the new one is any better. Thank you in advance. :) -- Quote of the Week: "Every ruler...

Your Mac won't start up in Mac OS X (Mac OS X 10.3.9 or earlier)
Your Mac won't start up in Mac OS X (Mac OS X 10.3.9 or earlier) Nothing can be more frustrating than turning on your Mac only to find that it won't start up. Instead of seeing the Finder, you see a blue or gray screen, an icon of a broken folder, a kernel panic, a flashing question mark, or a computer that just sits there. What can you do? Don't worry. It could be a simple issue that you can fix yourself. Note: This article applies to Mac OS X 10.3.9 or earlier. Tip: If your computer won't start at all, skip to "You see a blank, gray screen" below. The first step ...

Re: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4
Hi Jason, Thanks for using the PRF. >> ACE VERSION: 5.3.1 This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 beta should work "out of the box" for Mac OS X Tiger. If you want a preview, please download the version in our CVS repo at http://cvs.doc.wustl.edu/ take care, Doug >> HOST MACHINE and OPERATING SYSTEM: Mac OS X 10.4.2 >> COMPILER NAME AND VERSION (AND PATCHLEVEL): >> powerpc-apple-darwin8-gcc-4.0.1 >> >> CONTENTS OF $ACE_ROOT/ace/config.h: >> >> /* -*- C++ ...

RE: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Doug, > > Thanks for using the PRF. > > >> ACE VERSION: 5.3.1 > > This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 beta should > work "out of the box" for Mac OS X Tiger. If you want a preview, > please download the version in our CVS repo at I know it isn't the most recent version available, but this version is used extensively across the corporation. Changing the version of ACE all these products used will cause the architect's heads to explode ;) Is it your opinion that 5.3.1 is hopeless cause on ...

RE: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Jason, > > >> ACE VERSION: 5.3.1 > > > > This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 > beta should > > work "out of the box" for Mac OS X Tiger. If you want a preview, > > please download the version in our CVS repo at > > I know it isn't the most recent version available, but this > version is used > extensively across the corporation. Changing the version of > ACE all these > products used will cause the architect's heads to explode ;) ;-) Right - this is where the value...

Re: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Jason, >> I know it isn't the most recent version available, but this version >> is used extensively across the corporation. Changing the version of >> ACE all these products used will cause the architect's heads to >> explode ;) >> >> Is it your opinion that 5.3.1 is hopeless cause on Tiger? It'll take some work, but companies like Riverace, Remedy, and OCI can help out with this stuff if staying with 5.3.1 is essential. Please see http://www.cs.wustl.edu/~schmidt/commercial-support.html for help with this stuff. >>...

CW 8.3/CW 9.4 Mac OS X 10.4 problem
Hi After installing 10.4 I can not drag and drop files into the IDE window anymore I tried c/c++/java files in 8.3 and c/c++ in 9.4 Is there workaround for that? However I can add files from he Project->Add files without any problem Actually I saw that problem on all prerelease builds After clean installations upgrades Thanks In article <BE98BC82.1156%dimamarkman@comcast.net>, Dmitry Markman <dimamarkman@comcast.net> wrote: > I tried c/c++/java files in 8.3 and c/c++ in 9.4 > > Is there workaround for that? MW has said they will release a ...

CodeWarrior 9.5 Mac OS X 10.3.9 CarbonCore/fenv.h cannot be opened
Just updated to CodeWarrior 9.5 and pre-compile the library get the following error on Build.MacOSX.mcp: Error : the file 'CarbonCore/fenv.h' cannot be opened (include from: CarbonCore/CarbonCore.h: 168 CoreServices/CoreServices.h: 21 Carbon/Carbon.h: 20 PP_MacHeaders.cp: 11 PP_ClassHeadersMach-O.pcc++: 35 fenv.h line 34: #include <CarbonCore/fenv.h> Read the earilier post here, but still do not know how to fix it. Where is the <CarbonCore/fenv.h> on Mac OS X 10.3.x ? Thanks Henry #if !_MSL_USING_MW_C_HEADERS #if !__MACH__ #error You must have the ...

Mac OS X 10.3.9 to 10.3.8
Is there a way to go back from 10.3.9 to 10.3.8. I have protools that will not work in 10.3.9. Any ideas? thx <fromero@csudh.edu> wrote in message news:1138070312.152531.300390@g47g2000cwa.googlegroups.com... > Is there a way to go back from 10.3.9 to 10.3.8. I have protools that > will not work in 10.3.9. Any ideas? > Restore from the backup you made before you updated to 10.3.9, or reinstall and update from your install CD. Greg How do yu restore from a backup on a mac? Also, if I reinstall from the CDs wont that remove my applications? G.T. wrote: > <fro...

CodeWarrior 9 and Mac OS X 10.4.7?
Has anyone had troubles launching CW 9 after updating to Mac OS X 10.4.7? I have a coworker that has CW 9 crash on launch after updating to 10.4.7. I haven't installed 10.4.7 yet myself so I can't test this. Has anyone else had the same problem? Thanks! In article <1151591470.613505.241070@y41g2000cwy.googlegroups.com>, "Dave" <info@kuwan.net> wrote: > Has anyone had troubles launching CW 9 after updating to Mac OS X > 10.4.7? I have a coworker that has CW 9 crash on launch after updating > to 10.4.7. I haven't installed 10.4....

Crahing MSL IO streams with CodeWarrior 8.3 under Mac OS X 10.2.6 (repost)
Hello, the problem has already been discussed before, but none of the replies worked for me. The problem is, that it is not possible to use CodeWarriors MSL IO streams without crashing. Even a simple sample application #include <iostream> int main(int argc, char* argc[]) { std::cout << "Hello World." << std::endl; return 0; } crashes immediately. It seems that an invalid access to a function pointer in the flush_buffer method (buffer_io.c) causes the problem, at least this is where the debugger halts: ioresult = (*file->write_proc)(file-...

Compiling 8.13.4 with GCC 3.3--error, stdarg.h v. varargs.h on Mac OS X 10.4.1?
I'm trying to compile Sendmail 8.13.4 on Mac OS X 10.4.1, using GCC 3.3. I'm getting the message that GCC no longer supports varargs.h and code should be updated to use stdarg.h. I know this is a long-standing problem, and I used to be able to solve it (with Sendmail 8.12.x on Mac OS X 10.2.x and 10.3.x) by reverting to GCC 3.1. Unfortunately, GCC 3.1 is not installed on Mac OS X 10.4. The weird thing is that the last machine I build this way was Sendmail 8.13.3 on Mac OS X 10.3.7 and it compiled just fine with GCC 3.3. Possibly this had something to do with the fact that GCC 3...

Does an app run Mac O X 10.4 when it has been built on Mac OS 10. 3+
Hello. I don't have Mac OS X 10.4 yet, my application is built on Mac OS X 10.3.9, does The application can run properly on Mac OS 10.4 ? Thanks ming --------------------------------------------------------------------- To unsubscribe, e-mail: wx-users-unsubscribe@lists.wxwidgets.org For additional commands, e-mail: wx-users-help@lists.wxwidgets.org Hi Ming, Yes, almost everything should work without modification. I only found one thing in Tiger that worked differently than Panther, and it was easy to fix once I got a complete report of what was going on. HTH,...

Transcode a text (CW 8.3 / Mac OS X 10.3.9)
Hi I should transform a text from UTF-8 and/or UTF-16 into MacRoman. How can I do that? Can somebody help me, a code snippet would be great. Thanks in advance. Regards Hans In article <434d3059$0$49015$14726298@news.sunsite.dk>, "Hans Stoessel" <hstoessel.list@pm-medici.ch> wrote: > I should transform a text from UTF-8 and/or UTF-16 into MacRoman. > > How can I do that? 1) Create a CFStringRef with your data via CFStringCreateWithBytes. Give it the encoding of your data. 2) Get the MacRoman data out of the CFStringRef via CFS...

Web resources about - CodeWarrior 8.3/9 on Mac OS X 10.4 Tiger - comp.mac.codewarrior

∞ CodeWarrior shirts
This box arrived in the mail today. My brother Stu was cleaning out his garage and he ran across some of his (my?) old CodeWarrior shirts. He ...

Core Foundation - Skills
See top Core Foundation professionals, groups, and related job openings.

Symbian - Wikipedia, the free encyclopedia
The Symbian platform is the successor to Symbian OS and Nokia Series 60 ; unlike Symbian OS, which needed an additional user interface system, ...

It's all about Xcode, not Intel
... decision can be. The pessimists list all the possible hazards and cry. But as always, I am... Now those developers who's coding on CodeWarrior ...

开发视界 > > Symbian英文资料 > > 首页
首页 - 新闻 - Symbian - Android - Windows Mobile - J2ME - 下载中心 - 游戏策划 - 招聘与求职 - 视频教程 专家专栏 Symbian英文 源码 开发工具 手机客户端 手机应用 手机游戏 资源链接 翻译小组 购书指南 铃声下载 base ...

The upside of rejection
This morning I was thinking about rejection. On my way to the office I happened to pass by a former building owned by NYNEX. Back in early 1991, ...

ExCodeWarrior
When we first heard about the switch to Intel and the corresponding requirement of also switching to Xcode someone came up with the great idea ...

Dynamic, Lightweight Visualization
Edward Tufte's print world is filled with stunningly beautiful visualizations . Even seemingly mundane things like visualizations of Ruby, Java, ...

Jobs: iPhone cross-compiler ban due to updates, quality
Apple chief Steve Jobs last night held a rare direct chat with a user to explain the ban on cross-compiling code in the iPhone 4.0 SDK. The company ...

The Old Joel on Software Forum: Part 1 (of 5)
This is an old, archived forum, no longer open for new posts. The forum has moved to http://discuss.joelonsoftware.com/?joel . Joel on office ...

Resources last updated: 1/27/2016 9:52:40 PM